mpgtx(1)

NAME
mpgtx, mpgsplit, mpgcat, mpgjoin, mpginfo, mpgdemux - Verändert mpeg-Dateien

ÜBERSICHT

mpgtx kommando [ option ] datei [ bereich | datei ] ...

BESCHREIBUNG

mpgtx kann MPEG-Dateien auf verschiedene Weise trennen und zusammenführen. Drei Dateitypen werden zur Zeit unterstützt: MPEG 1 Video-Dateien, MPEG 1/2 Audio-Dateien (mp1, mp2 und mp3), MPEG 1 System-Dateien (Audio- und Video-Dateien), MPEG 2 Programm-Dateien (experimentell), MPEG 2 Transport-Dateien (nur Modus Demultiplex und Info).

mpgtx ist ein GOP-(Group of Pictures)-Editor, d. h. mpgtx schneidet MPEG-Dateien anhand einer Gruppe von Bildern, nicht einzelne Bilder. Die typische Zeitdauer einer GOP, von ungefähr 0,5 sek. (ca. 15 Bilder), begrenzt die maximale Genauigkeit von mpgtx.

KOMMANDOS

-i  Zeigt Informationen über Dateien, wie Dauer, Größe, Bitrate usw.

-j  Verbindet Dateien
    (Bereiche können angegeben werden, siehe BEREICHE).

-s  Teilt Dateien in angegebene Bereiche (siehe BEREICHE).

-d  Demultiplext zusammengesetzte mpeg-Dateien.

-T  Verändert ID3-Tags von mp3-Dateien (siehe tagmp3(1)).

-h  Zeigt einen (nicht sehr) kurzen Hilfe-Text an.

-v  Zeigt die Version und beendet sich.

-#  Wenn # eine Zahl ist, wird die Datei in diese Anzahl gleichgroßer Teile geteilt.

--force
    Erlaubt Verbinden von inkompatiblen Dateien (manche Spieler sind sehr robust).

--no-parachute
    Verhindert, dass mpgtx auf das Signal SIGSEGV reagiert. Das ist für die Fehlersuche nützlich.

Zusätzlich kann mpgtx mit den Namen mpgjoin, mpgcat, mpgsplit, mpgdemux, tagmp3 und mpginfo aufgerufen werden. Das entspricht dem Verhalten:

    mpginfo verhält sich wie mpgtx -i
    mpgsplit verhält sich wie mpgtx -s
    mpgjoin verhält sich wie mpgtx -j
    mpgcat verhält sich wie mpgtx -j -o -
    mpgdemux verhält sich wie mpgtx -d
    tagmp3 verhält sich wie mpgtx -T

OPTIONEN

-f  Erzwinge das Überschreiben von Dateien, nicht nachfragen.

-Ax Ändere die Bild-Proportionen der mpeg-Datei. Gültige Werte sind 1,2,3,4 für die Proportionen 1:1, 4:3, 16:9 oder 2,2:1.

-P  Behalte unnütze oder ungewöhnliche Header in den Teil-Dateien.

-X  Sucht in der gesamten Datei nach einem gültigen Anfang (PACK). Zusammen mit der Option -N wird während der Suche nichts ausgegeben, nur die Zusammenfassung am Ende.

-N  Unterdrückt die Fortschrittsanzeige auf der Konsole. Das beschleunigt das Programm auf den meisten Systemen etwas, auf MacOS 9 sehr viel.
    Verhindert die Überprüfung aller Zeitstempel im Modus mpginfo.

-b name
    Jede Ausgabedatei hat die Namensbasis name.

-o datei
    datei wird als Ausgabedatei beim Verbinden benutzt (mit dem Kommando join). Wenn als datei das Zeichen '-' angegeben wird, landen die Daten auf der Standardausgabe.

BEREICHE

Jeder bereich muss nach einem Dateinamen datei oder einem anderen bereich stehen. Ein Bereich in einer mpeg-Datei kann auf drei Arten angegeben werden:
Bei MacOSX muss bereich in einfache oder doppelte Anführungszeichen geschrieben werden!

[a-b]
    von einschließlich Wert a bis einschließlich Wert b. Für halboffene Bereiche verwendet man ]a-b], [a-b[ oder ]a-b[.

[n/ntot]
    Der nte Teil von ntot. [1/4] bedeutet das erste Viertel der angegebenen Datei.

{a-b-...}
    Mit a,b,... in aufsteigender Folge. Teilt die Datei in die angegebenen Teile. {55M-102M} bedeutet 3 Teile, vom Beginn der Datei bis 55 MByte, von 55 MByte bis 102 MByte und von 102 MByte bis zum Ende.

WERTE
Gültige Werte für Bereiche werden in Sekunden oder als Byte-Offset angegeben.

Zeitformat
    HH:MM:SS.SS , wobei man die Angabe HH: weglassen kann.

Offset-Format
    Eine Zahl, gefolgt von M für Megabyte oder k für Kilobyte.

Leere Werte
    Ein leerer Wert ist gültig und entspricht der zugehörigen Dateigrenze:
    [-10M] entspricht den ersten 10 Megabyte der Datei.
    [1:10:04-] bedeutet von 1 Stunde 10 Minuten 4 Sekunden bis zum Ende der Datei.

RÜCKGABEWERTE
Alle Programme geben bei Erfolg 0 zurück und 1 bei einem Fehler.

BEISPIELE

mpgjoin movie1.mpg [-0:32] [45M-75M] movie2.mpg -o joined.mpg
    joined.mpg wird die ersten 32 Sekunden von movie1.mpg, gefolgt von 30 MByte von movie1.mpg, beginnend bei 45 MByte und dann die ganze Datei movie2.mpg enthalten.

mpgtx -124 myfile.mpg -b output
    myfile.mpg wird in 124 gleichlangen Teilen mit den Namen output-001.mpg bis output-124.mpg abgespeichert.

mpgtx -i Wazzup.mp3
    Zeigt Informationen über die angegebene Datei, wie Dauer, Bitrate an, aber auch Album, Titelnummer, Liedtitel usw., wenn die Datei einen ID3-Tag hat.

mpgcat myfile.mpg [2/2] | lpr
    Leitet den Inhalt der zweiten Hälfte von myfile.mpg an den Drucker um, verbraucht sämtlichen Toner und Papier und sorgt dafür, dass Sie von Ihrem Chef entlassen werden... Bitte vorsichtig einsetzen. ;-)

FEHLER

GOP (Group of Picture) basierend: ist kein Fehler, aber es ist eine Einschränkung. Wie in BESCHREIBUNG erklärt wurde, schränkt das die Genauigkeit von mpgtx beim Teilen und Verbinden auf ungefähr 15 Bilder bzw. 0,5 Sekunden ein.

Einige Bildstörungen (Artefakte) können mit schlechten MPEG-Spielern bei verbundenen Dateien auftreten. Diese Spieler berücksichtigen nicht das Broken-Link-Flag und verwerfen nicht das erste B-Bild, dass sie erreicht. Das ist ein Fehler in deren MPEG-Entschlüsselung, nicht in mpgtx.

AUTOR

Laurent Alacoque <laureck@users.sourceforge.net> CopyLeft 2001.
Anpassungen von Chris Danis <danish@debian.org>, copyleft 2001.
Philipp Biermann <philipp@biermann.org>, copyleft 2002.

Erik Schanze <schanzi_@gmx.de> hat die Manpage angepasst und ins Deutsche übersetzt.

Neue Releases sind zu finden und Fehler, Patches, Infos zu senden an:
http://mpgtx.sourceforge.net/

DANKSAGUNG

Godmar Back and Brent Phillips halfen mir das Kommandozeilen-Interface zu verbessern.
Volker Moell lehrte mich, rpm-Paket zu erstellen. Danke Volker.
Jean Fransisco Sytem (alias Nicolas Schieli) half mir einige Fehler zu beseitigen.
Danke euch Jungs.